Architektura Rovina řezu
|
Umístění Menu |
---|
Arch → Section Plane |
Pracovní stoly |
Arch |
Výchozí zástupce |
S P |
Představen ve verzi |
- |
Viz také |
Nikdo |
Popis
Tento nástroj umístí do aktuálního dokumentu pomůcku Rovina řezu, která definuje rovinu řezu nebo pohledu. Tato pomůcka může být přemístěna a přeorientována pomocí posunování a otáčení tak, abyste získali 2D pohled, který chcete získat. Objekt Rovina řezu bere ohled pouze na objekty, které byly vybrány v době jeho vytvoření. Objekty mohou být později přidávány do nebo odebírány z objektu Rovina řezu pomocí nástrojů Přidat a Odebrat.
Po vytvoření objekt Rovina řezu také vkládá pohled sama sebe do aktivní Vykreslovací stránky nebo vytváří novou stránku, pokud žádná neexistuje. Můžete také přidat pohled Roviny řezu přímo do dokumentu použitím nástroje 2D kreslení s vybranou rovinou řezu.
Použití
Volby
- The Section plane object will only consider a certain set of objects, not all the objects of the document. Objects can be added or removed from a SectionPlane object by using the Arch Add and Arch Remove tools, or by double-clicking the Section Plane in the tree view, selecting objects either in the list of in the 3D scene, and pressing the add or remove buttons.
- S vybraným objektem Rovina řezu použijte nástroj 2D kreslení k vytvoření tvaru reprezentujícího pohled řezu v dokumentu
- The Section Plane can also be used to show the entire 3D view cut by an infinite plane. This is only visual, and won't affect the geometry of the objects being cut.
Vlastnosti
- PohledRozměr zobrazení: Velikost pomůcky Rovina řezu ve 3D pohledu
The Arch SectionPlane with the clip view option will behave like a camera, limiting the field of view.
Tweaks
- Adding manually a property named RotateSolidRender of type App::PropertyAngle to the section plane's View properties (right-click the properties view -> show all, right-click again -> add property) allows to rotate the render when using Solid mode. This is useful when a rendered view has for example both Arch and Draft elements, and the rendering of the Arch elements is rotated in relation to the Draft elements.
Scripting
Skriptování
Nástroj Rovina řezu může být využit v makrech a z konzoly Pythonu použitím následující funkce:
Section = makeSectionPlane(objectslist=None, name="Section")
- Vytvoří objekt Rovina řezu zahrnující zadané objekty.
Příklad:
import FreeCAD, Draft, Arch
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()
BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])
Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
- Elements: Wall, Structure, Curtain Wall, Window, Roof, Space, Stairs, Equipment, Frame, Fence, Truss, Profile, Pipe, Pipe Connector
- Reinforcements: Straight Rebar, U-Shape Rebar, L-Shape Rebar, Stirrup, Bent-Shape Rebar, Helical Rebar, Column Reinforcement, Beam Reinforcement, Slab Reinforcement, Footing Reinforcement, Custom Rebar
- Panels: Panel, Panel Cut, Panel Sheet, Nest
- Materials: Material, Multi-Material
- Organization: Building Part, Project, Site, Building, Level, External reference, Section Plane, Schedule
- Axes: Axis, Axes system, Grid
- Modification: Cut with plane, Cut with line, Add component, Remove component, Survey
- Utilities: Component, Clone component, Split Mesh, Mesh to Shape, Select non-manifold meshes, Remove Shape from Arch, Close Holes, Merge Walls, Check, Toggle IFC Brep flag, 3 Views from mesh, Create IFC spreadsheet, Toggle Subcomponents
- Additional: Preferences, Import Export Preferences (IFC, DAE, OBJ, JSON, 3DS, SHP), IfcOpenShell, IfcPlusPlus, Arch API

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web
- Hubs: User hub, Power users hub, Developer hub